Bug 248173 - [NEW PORT] net/jotta-cli: Jotta Cloud Daemon and Command-Line Interface
Summary: [NEW PORT] net/jotta-cli: Jotta Cloud Daemon and Command-Line Interface
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-22 13:51 UTC by Trenton Schulz
Modified: 2021-08-09 15:08 UTC (History)
2 users (show)

See Also:


Attachments
Patch for Jotta-cli (5.30 KB, patch)
2020-07-22 13:51 UTC, Trenton Schulz
no flags Details | Diff
Update shar file to 0.8.36055 (4.68 KB, application/x-shellscript)
2021-01-02 21:31 UTC, Trenton Schulz
no flags Details
Updated patch for jotta-cli 0.11.44593 (4.97 KB, patch)
2021-06-21 18:12 UTC, Trenton Schulz
no flags Details | Diff
Updated patch to use different UID and GID plus distinfo for i386 (5.24 KB, patch)
2021-08-09 14:36 UTC, Trenton Schulz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Trenton Schulz 2020-07-22 13:51:18 UTC
Created attachment 216664 [details]
Patch for Jotta-cli

Adding a port for Jotta command line interface client to Jotta Cloud (https://www.jottacloud.com/en/). This allows you to back up items on a FreeBSD machine.

This is packaging up the FreeBSD binary and putting it in a more FreeBSD friendly version.
Comment 1 Trenton Schulz 2021-01-02 21:31:28 UTC
Created attachment 221211 [details]
Update shar file to 0.8.36055

Updated patch to the latest version of Jotta client.
Comment 2 Trenton Schulz 2021-06-21 18:12:36 UTC
Created attachment 225970 [details]
Updated patch for jotta-cli 0.11.44593

Converted patch to git and updated to jotta-cli
Comment 3 Li-Wen Hsu freebsd_committer 2021-08-09 09:18:36 UTC
UID/GOD 293 has been taken, do you have other preference?
Comment 4 Li-Wen Hsu freebsd_committer 2021-08-09 09:42:08 UTC
distinfo contains no i386 information.
Comment 5 Trenton Schulz 2021-08-09 14:36:59 UTC
Created attachment 227047 [details]
Updated patch to use different UID and GID plus distinfo for i386

Thanks for the comments. I have updated the patch to include the distinfo for i386 and changed the UID and GID to something that is open. If that UID and GID get taken before this gets committed, I would just say move it to another one that works. There is no requirement for a specific UID or GID, it just needs one.
Comment 6 commit-hook freebsd_committer 2021-08-09 15:08:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=af2b599fb7123b5fe0fe9f3dfad9c8b8acd6201f

commit af2b599fb7123b5fe0fe9f3dfad9c8b8acd6201f
Author:     Trenton Schulz <trueos@norwegianrockcat.com>
AuthorDate: 2021-08-09 15:06:41 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-08-09 15:07:47 +0000

    net/jotta-cli: (New) Jotta Cloud Daemon and Command-Line Interface

    PR:             248173

 GIDs                                     |  2 +-
 UIDs                                     |  2 +-
 net/Makefile                             |  1 +
 net/jotta-cli/Makefile (new)             | 42 ++++++++++++++++++++++++++++++++
 net/jotta-cli/distinfo (new)             |  5 ++++
 net/jotta-cli/files/jottad.in (new +x)   | 18 ++++++++++++++
 net/jotta-cli/files/pkg-message.in (new) | 17 +++++++++++++
 net/jotta-cli/pkg-descr (new)            | 23 +++++++++++++++++
 net/jotta-cli/pkg-plist (new)            |  8 ++++++
 9 files changed, 116 insertions(+), 2 deletions(-)